-- ##########################################################
-- #	showRPM												#
-- #														#
-- #	author: Webby / [FSM]Chefkoch						#
-- #	date: 09.07.2012									#
-- #	updated: 22.04.2013									#
-- #	version: 1.2										#
-- #														#
-- #	Changelog:											#
-- #	v1.0 = initial implementation						#
-- #	v1.1 = HUD position / manualIgnition compatible		#
-- #	v1.2 = Converted to LS13 / Global implementation	#
-- #														#
-- #	THX 4 Help 2: modelleicher and Bluebaby210			#
-- #														#
-- #		   DO NOT COPY OR CHANGE THIS SCRIPT!			#
-- ##########################################################

ShowRPM = {};
local rpm_directory = g_currentModDirectory;

function ShowRPM.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowRPM:load(xmlFile)
	self.showRPMPosX = 0.402; -- Horizontal verschieben 8543
    self.showRPMWidth = 0.10; -- Overlaytextur Breite 134
    self.showRPMPosY = 0.01238; -- Vertikal verschieben 5125
    self.showRPMHeight = 0.04; -- Overlaytextur Hhe
	self.showRPMHudOverlay = Overlay:new("RPMHUDOverlay", Utils.getFilename("rpmHud.dds", rpm_directory), self.showRPMPosX, self.showRPMPosY, self.showRPMWidth, self.showRPMHeight);
end;

function ShowRPM:delete()
end;

function ShowRPM:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowRPM:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowRPM:update(dt)
	
end;

function ShowRPM:draw()
	self.showRPMHudOverlay:render();
	if self:getIsActive() then
		if self.isMotorStarted == false then
			
			setTextBold(true);
			setTextAlignment(RenderText.ALIGN_RIGHT);
			setTextColor(1, 0, 0, 1);
			renderText(self.showRPMPosX + 0.075, self.showRPMPosY + 0.010, 0.022, "OFF"); -- 0.105
		end;
		if self.isMotorStarted == true then	
			if self.motor.lastMotorRpm > 1900 then
				setTextBold(true);
				setTextAlignment(RenderText.ALIGN_RIGHT);
				setTextColor(1, 0, 0, 1);
				renderText(self.showRPMPosX + 0.075, self.showRPMPosY + 0.010, 0.022, tostring(math.floor(self.motor.lastMotorRpm)));
			else
				setTextBold(true);
				setTextAlignment(RenderText.ALIGN_RIGHT);
				setTextColor(0, 1, 0, 1);
				renderText(self.showRPMPosX + 0.075, self.showRPMPosY + 0.010, 0.022, tostring(math.floor(self.motor.lastMotorRpm)));
			end;
		end;
	end;
end;

function ShowRPM:onLeave()

end;